<?php
// セキュリティ対策：WordPressが直接呼び出されたか確認
if (!defined('ABSPATH')) {
    exit;
}

get_header(); // WordPressのヘッダーを表示
?>

<div class="my-custom-form-wrapper">
    <h1>お問い合わせフォーム</h1>
    <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
        <input type="hidden" name="action" value="my_custom_form">
        <input type="hidden" name="_wpnonce" value="<?php echo wp_create_nonce('my_custom_form_nonce'); ?>">

        <label for="name">名前：</label>
        <input type="text" id="name" name="name" required><br><br>

        <label for="email">メールアドレス：</label>
        <input type="email" id="email" name="email" required><br><br>

        <label for="message">メッセージ：</label><br>
        <textarea id="message" name="message" rows="5" required></textarea><br><br>

        <input type="submit" value="送信">
    </form>
</div>

<?php
get_footer(); // WordPressのフッターを表示
?>
